
=====[ Batch file for MultiLine operation ]  ============================

(*** Turn the echo off so each line of the batch file doesn't display ***)
(*** on screen.                                                       ***)

@ECHO OFF

(*** ---------------------------------------------------------------- ***)
(*** Make sure you're on the correct drive.                           ***)

C:

(*** ---------------------------------------------------------------- ***)
(*** Change to the directory where all the TabsRA files are located   ***)

CD \RA\TABS

(*** ---------------------------------------------------------------- ***)
(*** Call TabsRA into action.  Note that the entire Drive\Path is     ***)
(*** used.                                                            ***)
(***                                                                  ***)
(*** The batch file should be called from a Type 7 Menu with the      ***)
(*** Optional Data line looking like this:                            ***)
(***                                                                  ***)
(*** *C /C C:\RA\TABS.BAT *N *M                                       ***)
(***                      ^^                                          ***)
(*** NOTE THAT  *N  MUST BE THE FIRST PARAM.  THIS BECOMES %1 TO      ***)
(*** THE BATCH FILE AND REPRESENTS THE NODE OR LINE THE CALLER IS     ***)
(*** ON.  THIS DOES NOT REFER TO THE COM PORT NUMBER                  ***)
(***                                                                  ***)
(*** This command line shows five (5) statements each separated by    ***)
(*** ONE blank space.                                                 ***)


  C:\RA\TABS\TABSRA.EXE C:\RA\NODE%1\ %1 /M /S
                                    
      
                                         5  Send Messages
                                       4  MultiLine Operation
                                     3  *N on Opt. Data Line
                            2  Path to BBS Drop files
           1  Path to TABSRA.EXE


(*** ---------------------------------------------------------------- ***)
(*** Change back to the BBS Node directory                            ***)

CD \RA\NODE%1

==========================================================================
(*** This is an exact copy of the batch file (TABS.BAT) used here.    ***)
(***                                                                  ***)
(*** This tells TabsRA that the dropfiles (EXITINFO.BBS/DORINFO1.DEF) ***)
(*** are located in the C:\RA\NODE%1 directory with %1 representing a ***)
(*** node or line the caller is on.  If the caller was on Line #2 the ***)
(*** %1 (obtained from *N) would tell TabsRA the Caller was on Line 2 ***)
(***                                                                  ***)
(*** The /M tells TabsRA that it's a multiline system and MUST APPEAR ***)
(*** when TabsRA is used in a multiline operation.                    ***)
(***                                                                  ***)
(*** The /S tells TabsRA to post private messages to the Caller and   ***)
(*** the SysOp if the Caller enters a valid SID and is validated by   ***)
(*** TabsRA.                                                          ***)
(***                                                                  ***)
(*** See TABSRA.DOC for additional command line switches.             ***)
(***                                                                  ***)
(*** Here's how it looks in finished form:                            ***)

@ECHO OFF
C:
CD \RA\TABS
C:\RA\TABS\TABSRA.EXE C:\RA\NODE%1\ %1 /M /S
CD \RA\NODE%1


=====[ Batch file for single line operation ]============================

(*** This file is much the same as used for a multiline system except ***)
(*** that there is no node or line subdirectory and there is no /M    ***)
(*** switch on the command line.                                      ***)
(***                                                                  ***)
(*** This command line tells TabsRA that it's a single line system.   ***)
(***                                                                  ***)
(*** The /S switch tells TabsRA to send messages to the Caller and    ***)
(*** SysOp if the Caller is validated.                                ***)
(***                                                                  ***)
(*** NOTE THAT THE %1 MUST ALWAYS BE SHOWN ON THE COMMAND LINE EVEN   ***)
(*** IF IT'S A SINGLE LINE SYSTEM.   THE *N MUST BE ON THE OPTIONAL   ***)
(*** DATA LINE IN THE TYPE 7 MENU.                                    ***)
(***                                                                  ***)

@ECHO OFF
C:
CD \RA\TABS
C:\RA\TABS\TABSRA.EXE C:\RA\ %1 /S
CD \RA

